## node-tweetnacl 1.0.3+dfsg

=== test/c/Makefile ===
CFLAGS=-O3

all: csecretbox cscalarmult cbox chash csign csign-keypair

csecretbox: csecretbox.o tweetnacl.o

cscalarmult: cscalarmult.o tweetnacl.o

cbox: cbox.o tweetnacl.o

chash: chash.o tweetnacl.o

csign: csign.o tweetnacl.o

csign-keypair: csign-keypair.o tweetnacl.o

test: test_secretbox test_scalarmult test_box test_hash test_sign test_signkeypair clean

test_secretbox: csecretbox
	node ./00-secretbox.js

test_scalarmult: cscalarmult
	node ./01-scalarmult.js

test_box: cbox
	node ./02-box.js

test_hash: chash
	node ./03-hash.js

test_sign: csign
	node ./04-sign.js

test_signkeypair: csign csign-keypair
	node ./05-sign-keypair.js

clean:
	rm *.o csecretbox cscalarmult cbox chash csign csign-keypair

## node-tweetnacl 0.14.5+dfsg

=== debian/changelog ===
node-tweetnacl (0.14.5+dfsg-2) unstable; urgency=medium

  * Team upload
  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Fri, 28 Apr 2017 17:46:37 +0530

node-tweetnacl (0.14.5+dfsg-1) experimental; urgency=low

  * Initial release (Closes: #850152)

 -- Yashashree Kolhe <yashashreekolhe@gmail.com>  Thu, 05 Jan 2017 20:16:44 +0530

=== debian/control ===
Source: node-tweetnacl
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yashashree Kolhe <yashashreekolhe@gmail.com>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
 , uglifyjs
Standards-Version: 3.9.8
Homepage: https://tweetnacl.js.org
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-tweetnacl.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-tweetnacl.git

Package: node-tweetnacl
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: Port of TweetNaCl cryptographic library to JavaScript
 The primary goal of this project is to produce a translation of
 TweetNaCl to JavaScript which is as close as possible to the
 original C implementation, plus a thin layer of idiomatic
 high-level API on top of it.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	uglifyjs -o nacl.min.js nacl.js
	uglifyjs -o nacl-fast.min.js nacl.js

override_dh_auto_clean:
	dh_auto_clean
	rm -f nacl.min.js
	rm -f nacl-fast.min.js

#override_dh_auto_test:

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-tweetnacl-$1.tar.gz/ \
 https://github.com/dchest/tweetnacl-js/tags .*/archive/v?([\d\.]+).tar.gz

## node-tweetnacl 1.0.1+dfsg

=== debian/changelog ===
node-tweetnacl (1.0.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Switch install to pkg-js-tools

 -- Xavier Guimard <yadd@debian.org>  Sat, 03 Aug 2019 15:44:17 +0200

node-tweetnacl (1.0.1+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Change section to javascript
  * Add debian/gbp.conf
  * Add upstream/metadata
  * New upstream version 1.0.1+dfsg
  * Update VCS fields to salsa
  * Enable upstream test using pkg-js-tools
  * Install minified files
  * Update debian/copyright
  * Update lintian-overrides

 -- Xavier Guimard <yadd@debian.org>  Tue, 09 Jul 2019 22:10:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: node-tweetnacl
-Section: web
-Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Yashashree Kolhe <yashashreekolhe@gmail.com>
+Section: javascript
+Testsuite: autopkgtest-pkg-nodejs
+Priority: optional
 Build-Depends:
- debhelper (>= 9)
+ debhelper (>= 12~)
  , dh-buildinfo
  , nodejs
+ , node-tape <!nocheck>
  , uglifyjs
-Standards-Version: 3.9.8
+ , pkg-js-tools (>= 0.8.8)
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/js-team/node-tweetnacl
+Vcs-Git: https://salsa.debian.org/js-team/node-tweetnacl.git
 Homepage: https://tweetnacl.js.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-tweetnacl.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-tweetnacl.git
 
 Package: node-tweetnacl
 Architecture: all

## node-tweetnacl 1.0.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends:
- debhelper (>= 12~)
- , dh-buildinfo
+ debhelper-compat (= 13)
  , nodejs
  , node-tape <!nocheck>
  , uglifyjs
- , pkg-js-tools (>= 0.8.8)
-Standards-Version: 4.4.0
+ , dh-sequence-nodejs
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-tweetnacl
 Vcs-Git: https://salsa.debian.org/js-team/node-tweetnacl.git
 Homepage: https://tweetnacl.js.org
@@ -20,7 +19,8 @@
 Architecture: all
 Depends:
  ${misc:Depends}
- , nodejs
+ , nodejs:any
+Multi-Arch: foreign
 Description: Port of TweetNaCl cryptographic library to JavaScript
  The primary goal of this project is to produce a translation of
  TweetNaCl to JavaScript which is as close as possible to the

=== debian/rules ===
--- 
+++ 
@@ -10,14 +10,9 @@
 override_dh_auto_build:
 	dh_auto_build
 	uglifyjs -o nacl.min.js nacl.js
-	uglifyjs -o nacl-fast.min.js nacl.js
+	uglifyjs -o nacl-fast.min.js nacl-fast.js
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f nacl.min.js
 	rm -f nacl-fast.min.js
-
-#override_dh_auto_test:
-
-
-

## node-tweetnacl 1.0.3+dfsg

=== debian/changelog ===
node-tweetnacl (1.0.3+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ Xavier Guimard ]
  * Add "Rules-Requires-Root: no"
  * New upstream version 1.0.3+dfsg
  * Update pkg-js-tools use
  * Add "Multi-Arch: foreign"

 -- Xavier Guimard <yadd@debian.org>  Thu, 28 May 2020 08:40:04 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,23 @@
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends:
- debhelper-compat (= 13)
+ debhelper-compat (= 12)
+ , dh-buildinfo
  , nodejs
  , node-tape <!nocheck>
  , uglifyjs
- , dh-sequence-nodejs
-Standards-Version: 4.7.2
+ , pkg-js-tools (>= 0.9.35~)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-tweetnacl
 Vcs-Git: https://salsa.debian.org/js-team/node-tweetnacl.git
 Homepage: https://tweetnacl.js.org
+Rules-Requires-Root: no
 
 Package: node-tweetnacl
 Architecture: all
 Depends:
  ${misc:Depends}
- , nodejs:any
+ , nodejs
 Multi-Arch: foreign
 Description: Port of TweetNaCl cryptographic library to JavaScript
  The primary goal of this project is to produce a translation of

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with nodejs
 
 override_dh_auto_build:
 	dh_auto_build
